'Save as ' can't export attribute tables in an editable format
Status: Closed

Priority: Severe/Regression

Assignee:

Category:

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 16457

Description

Hi, 

I couldn't export a attribute table from Oracle or postgres in an editable format with "save as " action.

Error message is raised with shp and sqlite V:/temp/com_pat.sqlite is not a valid or recognized data source.

Tab export does it right, but it's not editable.

This is a blocking issue IMHO, not being able to export correctly datas.

Associated revisions

Revision 4265f9fe - 2013-07-16 06:16 PM - Jürgen Fischer

vector file writer: add support for DBF files (fixes #7507)

History

#1 - 2013-07-08 02:21 AM - Jürgen Fischer

- Status changed from Open to Feedback

not reproducable here - anything special about the table you want to save?

#2 - 2013-07-13 04:37 PM - Nathan Woodrow

regis can we get a update on this from your side.  I can't reproduce here.

#3 - 2013-07-15 07:38 AM - Regis Haubourg

Sorry guys, I'm lost in mountains here, with no internet access. If save as sqlite does work now, and if dbf is an available output format, you could push bug

status to lower than blocker. sorry for not being responsive. 

Régis

#4 - 2013-07-15 09:16 AM - Giovanni Manghi

regis Haubourg wrote:

Sorry guys, I'm lost in mountains here, with no internet access. If save as sqlite does work now, and if dbf is an available output format, you could
push bug status to lower than blocker. sorry for not being responsive.

Saving as SQlite now seems to export also the geometries, and the result is the same as exporting as Spatialite. Is this on purpose? There is no "save

as..." dbf, so maybe this ticket can become a feature request?

#5 - 2013-07-15 11:11 AM - Jürgen Fischer

Giovanni Manghi wrote:

Saving as SQlite now seems to export also the geometries, and the result is the same as exporting as Spatialite. Is this on purpose? There is no

"save as..." dbf, so maybe this ticket can become a feature request?

"Save as..." is based on OGR.  The SpatiaLite entry is just SQLite with SPATIALITE=YES as data source creation option.

If you want to export to .dbf use ESRI Shapefile with SHPT=NULL as layer creation option.

#6 - 2013-07-15 11:17 AM - Giovanni Manghi

"Save as..." is based on OGR.  The SpatiaLite entry is just SQLite with SPATIALITE=YES as data source creation option.

my doubt is the other way: seems that saving as sqlite saves always as spatialite

If you want to export to .dbf use ESRI Shapefile with SHPT=NULL as layer creation option.

ok, nice to know.

Then I think that this ticket could be closed, agree?

#7 - 2013-07-16 09:20 AM - Jürgen Fischer

- Status changed from Feedback to Closed

Fixed in changeset commit:"4265f9fe69bb02476f17146d359acff344c582d0".
http://www.gdal.org/ogr/drv_sqlite.html
http://www.gdal.org/ogr/drv_shapefile.html
http://www.gdal.org/ogr/drv_sqlite.html
http://www.gdal.org/ogr/drv_shapefile.html

